Retrieve all NVLink Logical Partitions

View as Markdown

Retrieve all NVLink Logical Partitions for the org

Org must have a Tenant entity. User must have authorization role with TENANT_ADMIN suffix.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the NGC Org

Query parameters

siteIdstringOptionalformat: "uuid"
Filter NVLink Logical Partitions by Site
statusstringOptional
Filter NVLink Logical Partitions by Status
querystringOptional
Search for matches across all NVLink Logical Partitions. Input will be matched against name, description, and status fields
includeInterfacesbooleanOptional
Include NVLink Interfaces in response.
includeStatsbooleanOptional
Include NVLink Logical Partition Stats in response.
includeVpcsbooleanOptional
Include VPCs in response.
includeRelationenumOptional
Related entity to expand
Allowed values:
pageNumberintegerOptional1-21474836
Page number for pagination query
pageSizeintegerOptional1-100
Page size for pagination query
orderByenumOptional
Ordering for pagination query

Response headers

X-PaginationstringOptional
Pagination result in JSON format

Response

OK
idstringOptionalRead-onlyformat: "uuid"
Unique ID of the NVLink Logical Partition
namestringOptional2-256 characters
Name of the NVLink Logical Partition
descriptionstring or nullOptional
Optional description of the NVLink Logical Partition
siteIdstringOptionalformat: "uuid"
ID of the Site the NVLink Logical Partition belongs to
tenantIdstringOptionalformat: "uuid"
ID of the Tenant the NVLink Logical Partition belongs to
statusenumOptional
Status of the NVLink Logical Partition
statusHistorylist of objectsOptionalRead-only
Details of status changes for the NVLink Logical Partition over time
nvLinkLogicalPartitionStatsobjectOptional

GPU and Instance usage counts for the NVLink Logical Partition. Returned if the includeStats query parameter is set to true in retrieval endpoints

createddatetimeOptionalRead-only
Date and time the NVLink Logical Partition was created
updateddatetimeOptionalRead-only
Date and time the NVLink Logical Partition was last updated

Errors

403
Forbidden Error